package de.hft.stuttgart.citydoctor2.gui.tree;

import de.hft.stuttgart.citydoctor2.gui.CheckStatus;
import de.hft.stuttgart.citydoctor2.gui.Renderer;
import javafx.beans.property.ObjectProperty;
import javafx.beans.property.SimpleObjectProperty;

public abstract class Renderable {
	
	private ObjectProperty<CheckStatus> statusProperty = new SimpleObjectProperty<>();

	/**
	 * @return the status
	 */
	public CheckStatus getStatus() {
		return statusProperty.getValue();
	}

	/**
	 * @param status the status to set
	 */
	public void setStatus(CheckStatus status) {
		statusProperty.set(status);
	}
	
	public ObjectProperty<CheckStatus> getStatusProperty() {
		return statusProperty;
	}

	public abstract void refreshTextColor();
	public abstract String getText();
	public abstract void visit(Renderer renderer);

}
